Subject: Re: bug#5386: 23.1.91;

From: Chong Yidong <[email-masked]>
Date: Fri, 15 Jan 2010 13:07:29 -0500

Dan Nicolaescu <[email-masked]> writes:

> Given that we get this bug report all the time, how about adding a
> printf when using --daemon when using the Gtk toolkit that describes
> the problem, and gives a pointer to the bug report?  This will make
> people aware something might happen at the time they start emacs
> --daemon.

But the user may only want to use terminal clients.

Another idea for a workaround---assuming a GTK frame has been created,
maybe we could use the X session code (emacs-save-session-functions) to
kill Emacs when the X session ends.  Opinions?  (Admittedly this won't
cover all use cases, and is a bit of a hack, but it's something...)